<?php

	require_role($role, 2);
	
	// get the data sent in from the review list
	$ID = initialize("ID", "get", "text");

	// get the content details from the database
	$query = "
		SELECT
			path,
			field,
			content,
			DATE_ADD(schedule, INTERVAL $timezone HOUR) AS schedule
		FROM content
		WHERE content.ID=$ID
	";
	$result = db_do_query($query);
	$count = db_num_rows($result);
	if (!$count) {
		set_feedback(0, "There is no content matching the requested ID.");
		print get_feedback();
		exit;
	} else {
		$row = db_get_row($result, 0);
		extract($row);
	}

	// since we're not submitting anything, we need to add slashes manually
	$content = addslashes($content);
	
	// set a default comment
	$comment = "Scheduled from Review page";

	// insert a new record into the database
	$query = "
		INSERT INTO content (
			path,
			field,
			content,
			user,
			status,
			comment,
			date,
			schedule
		) VALUES (
			'$path',
			'$field',
			'$content',
			 $user,
			 3,
			'$comment',
			 ".timestamp("SQL", 1).",
			 COALESCE(DATE_SUB('$schedule', INTERVAL $timezone HOUR), '0000-00-00 00:00:00')
		)
	";
	$result = db_do_query($query);
	
	// see if we need to add a Dreamweaver lock file (this shouldn't be needed because we only call it from the Review page, on a file that has already been opened)
	if ($result) {
		set_dreamweaver_lock($path);
	}

	// set feedback and return it to the calling page
	if ($result) {
		set_feedback(1, "The content has been scheduled.");
	} else {
		set_feedback(0, "There was an error scheduling the content.");
	}
	print get_feedback();
	
?>
